blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
3e644a0821afe951c6f19d88aa3d333be812fa25 | 1,475 | #!/usr/bin/env bash
set -e
set -u
DST_BASE_DIR=../build/tests/integration
PROJECT_SLUG='cookiecutter_iac_terraform_inttest'
terraform_dir_name='terraform'
source common.source
function create_project_from_cookiecutter() {
cookiecutter --output-dir=${DST_BASE_DIR}/ --no-input $(pwd)/../ \
project_name='C... |
80fcb94ff1b600895b934f802a4bead6b18f6e3f | 698 | #!/bin/bash
#Author: PortWINE
#wgc.exe
#wgc_api.exe
#Rating=5
export PW_COMMENT_DB="Wargaming Game Center"
################################################
#export PW_VULKAN_USE=dxvk #dxvk, vkd3d or 0 for OpenGL
export LAUNCH_PARAMETERS="--disable-gpu" # Additional launch options
#expor... |
aa0a034641cb766a7810ac8247e77d67dc13d0dc | 1,153 | #!/bin/bash
function die() {
ecode=$1
shift
if [ "$1" != "" ]; then
echo "$@" 1>&2
fi
exit $ecode
}
# move to the appropriate basedir
bash_source="${BASH_SOURCE[0]}"
basedir=$(dirname "$bash_source")
bdir="$basedir/.."
cd "$bdir" || die 1 "couldn't switch to expected basedir: $bdir"
# confirm that the... |
1f623192fe5b849d66dc5648612f5fc57ed911fb | 974 | #!/bin/bash
export PROJECT_NAME={GOOGLE_CLOUD_PROJECT}
export BUCKET_NAME={GOOGLE_CLOUD_PROJECT}-dataflow
submitBatchJob () {
FEED=$1
BQ_TABLE=`echo $FEED | sed 's/-/_/g'`
ID_SUFFIX=`date +%Y-%m-%d_%H:%M:%S`
JOB_ID=${FEED}Load_${ID_SUFFIX}
echo "Submitting $FEED batch load Dataflow job to load the $BQ_TABL... |
736717ececfac553109de34903d7e6815b3696cd | 382 | #!/bin/sh
# A Kino script that invokes qdvdauthor on a generated dvdauthor xml file.
usage()
{
# Title
echo "Title: Open in 'Q' DVD-Author"
# Usable?
which qdvdauthor > /dev/null
[ $? -eq 0 ] && echo Status: Active || echo Status: Inactive
}
execute()
{
xml="$1"
output="$2"
qdvdauthor -a -d "$xml" &
}
[ "$... |
7d7ec23a6626f2b1cbf3e052ce0394d65f60cff3 | 70 | export ENCRYPTION_KEY=
export BOT_TOKEN=
export OTHER_KEY=
export IV=
|
bfb61710edb21f7971129fb5d5d798386661b62a | 807 | # Maintainer: Erik Westrup <erik.westrup@gmail.com>
pkgname=brother-dcp7070dw-cups
pkgver=2.0.4_2
pkgrel=4
pkgdesc="Brother DCP-7070DW CUPS drivers."
arch=('i686' 'x86_64')
url="http://support.brother.com/g/b/downloadtop.aspx?c=eu_ot&lang=en&prod=dcp7070dw_eu"
license=('GPL2' 'custom:brother')
depends=('brother-dcp707... |
2aa5bb99982b4e01662c47e4891532a99d00d13b | 84 | REACT_APP_LOGIN_API_URL=https://run.mocky.io/v3/62d88102-5ef3-4222-9abd-c19b2bc292cd |
43768627b144b1a8607f1d20eba44f96f3fb8ff8 | 70 | #!/usr/bin/env bash
/usr/local/sleuthkit/bin/dls -f "$1" "$2" > "$3"
|
d04b2201bd7b54015571f90f84a0eb97e20d3f38 | 649 | #!/bin/bash -l
#SBATCH --export=ALL
#SBATCH --mail-user=ellen.schofield@aht.org.uk
#SBATCH --mail-type=END,FAIL
#SBACTH --mem=32G
#SBATCH --ntasks=16
#SBATCH -o outputs/job-%j.output
#SBATCH --nodes=1
module load apps/gatk
RUN_NAME=$1
SAMPLE=$2
export GATK_JAVA_TMPDIR="${HOME}/data/javatempdir"
export GATK_JAVA_ME... |
c1c0f5feba751d9a6ab011125df2754c6e9ada98 | 386 |
export STUDY_DB_CONNECTION_STR="<connection string>"
export STUDY_DB_USERNAME="<username>"
export STUDY_DB_PASSWORD="<password>"
export STUDY_DB_CONNECTION_PREFIX="<connection string prefix / e.g. +srv>"
export DB_TIMEOUT=30
export DB_IDLE_CONN_TIMEOUT=45
export DB_MAX_POOL_SIZE=8
export DB_DB_NAME_PREFIX="INF_"
#... |
3c4f7050593f42c2a632f035984ae1cf383436c6 | 121 | #!/bin/sh
for TYPE in GCC CLANG MINGW TURBOC TASM NGVCK G2 MPCGEN METAPHOR
do
./scripts/createObsSlice.sh $TYPE
done
|
c8220e9a130713512f34df1598109d13c1978221 | 364 | #!/usr/bin/env bash
npm run build 19.x/duke-default;
npm run build 19.x/duke-extend;
npm run build 19.x/duke-alumni;
npm run build 19.x/duke-crtp;
npm run build 19.x/duke-dghi;
npm run build 19.x/duke-divinity;
npm run build 19.x/duke-dku;
npm run build 19.x/duke-law;
npm run build 19.x/duke-nursing;
npm run build 19.x... |
0aeeb556fbbc9ac7574a4ae8ac40c4aebb05c805 | 235 | rm -rf mvbcoins
mkdir mvbcoins
cp makefile mvbcoins/
cp server mvbcoins/
cp tester mvbcoins/
cp readme.txt mvbcoins/
mkdir mvbcoins/src
cp src/*.cpp mvbcoins/src
cp src/*.h mvbcoins/src
rm -rf mvbcoins.zip
zip -r mvbcoins.zip mvbcoins
|
d65c980126d92184b2ee619a577896757498167d | 541 | #!/bin/bash
#####################################################################
# Program:
# Description:
# iterando por todos os itens de um diretório
# Author: Rodrigo Morais <rodrigo.morais@concretesolutions.com.br>
#####################################################################
for item in /home/rmorais/*
d... |
c5aac7e9caea1c8a7dbd385598f97216c6871913 | 150 | cd /root/public-scripts && \
git pull && \
docker start lucky-number && \
docker exec lucky-number /bin/sh /public-scripts/luck_number/update_model.sh |
aa0cabd2882e4c711a64733cc57f15d7f72a6d4b | 1,752 | #!/bin/bash
set -eu
# s3simple is a small, simple bash s3 client with minimal dependencies.
# See http://github.com/paulhammond/s3simple for documentation and licence.
s3simple() {
local command="$1"
local url="$2"
local file="${3:--}"
# todo: nice error message if unsupported command?
if [ "${u... |
d6f2b9be13af1c5896e9709c0b316af3775450d0 | 2,809 | ulimit -n 4096
# Have ctrl-s perform i-search (search forward, complements ctrl-r)
stty -ixon
# don't put duplicate lines or lines starting with space in the history.
# also erase all duplicates
# See bash(1) for more options
HISTCONTROL=ignoreboth:erasedups
# append to the history file, don't overwrite it
shopt -s ... |
30753828521b766fcc9ea713bfda04675f042b4e | 6,824 | #!/bin/bash
## Commands for Ubuntu Server 18.04 LTS
## These script will install the following components:
# - Chromium for the Load generation of the EasyTravel Angular Shop
# - Java default-jre
# - EasyTravel, Legacy 8080,8079 / Angular 9080 and 80 / WebLauncher 8094 / EasyTravel REST 8091 1697
# - nginx proxy Docke... |
6b483437ada70725ac679f7fb753366da23466b4 | 1,005 | # $Id: PKGBUILD 84524 2010-06-30 17:48:41Z andrea $
# Maintainer: firmicus <francois@archlinux.org>
# Contributor: dorphell <dorphell@archlinux.org>
# Contributor: herb <hrose@archlinux.org>
pkgname=perl-xml-parser
_realname=XML-Parser
pkgver=2.36
pkgrel=7
pkgdesc="Expat-based XML parser module for perl"
arch=(i686 x8... |
ee326c68e98eca130da77998257280e2a36af216 | 101 | docker run \
--privileged \
--name bazel \
-p 3030:3030 \
-p 3031:3031 \
bazel-worker
|
a2be099cb4f5f0685e433b2453575ec1dd6163ac | 82 |
ps aux | grep $1/mainServer | awk '{print $2}' | xargs kill
rm $1/mainServer
|
5911d96dd6fbb0636da8234e33cb1cee0ea5cc34 | 655 | #!/bin/bash
STAMP="/etc/apache2/.environment"
if [ ! -f $STAMP ]; then
export DEBIAN_FRONTEND="noninteractive" ; set -e -x
APT="apt-get -y -o DPkg::Options::=--force-confdef -o DPkg::Options::=--force-confold -o APT::Get::force-yes=true"
#Avoid a few common cases of dependency version drift
sudo $APT update
... |
7bf1dc06b84f901651d3171df7bb71f592a3f7ae | 7,015 | #!/bin/bash
basepath=$(cd `dirname $0`;pwd)
swift_user_info_file="${basepath}/swift_user_info.conf"
swift_bk_blacklist_file="${basepath}/swift_black_list.conf"
swift_bk_config_file="${basepath}/swift_backup_list_final.conf"
single_tenant_info_newest="${basepath}/swift_tenant_info.newest"
swift_tenant_info_lastest="${b... |
b9000544b13a204a75181814e67ac03980b13a6e | 511 |
echo with filtering
cat kube-linter.yaml
sh kubelint.sh deploy kube-linter.yaml
echo with no filtering
sh kubelint.sh deploy
sh kubelint.sh deploy 2>klint.txt
echo "run sarif generator "
node kubelinter2sarif klint.txt output.sarif
jq . output.sarif > tmp.sarif
mv tmp.sarif output.sarif
echo Helm Chart Scan with ... |
fd378ee0f117691568910ffb4e64dcad8e13cb0a | 80 | ../stanford_enhancer.sh ../data/enhanced/UD_Lithuanian-HSE/lt_hse-ud-dev.conllu
|
97dacc308913f428fcce15567dbc3f86652d7145 | 783 | #!/bin/bash
set -e
if [ "$CIRCLE_BRANCH" == "staging" ]; then
TAG='latest'
REPO_PATH='/home/sourcify/staging/'
SERVER='sourcify@ec2-52-58-207-182.eu-central-1.compute.amazonaws.com'
elif [ "$CIRCLE_BRANCH" == "master" ]; then
TAG='stable'
REPO_PATH='/opt/source-verify/production/'
SERVER='sou... |
702b6d08cb88427596915d4b1cbece0041d05d15 | 177 | eval $(docker-machine env default)
echo "Cleaning all default VM containers..."
CONTAINERS=$(docker ps -aq)
if [ "$CONTAINERS" != "" ]; then
docker rm $(docker ps -aq)
fi
|
bf519289dc2b772e2553fa78c81797efe0b7a02a | 95 | #!/bin/bash
cp -r upstream build
cp -Rf .replace.d/* build/
cp -r ./app ./src ./bounce build/
|
fe16b2f1714f5140cddbf8ecb0a53147929ee3c4 | 69 | POSTGRES_USER=trapper
POSTGRES_PASSWORD=tcgxgl
POSTGRES_DB=trap_base
|
6a20075fff168eca947069787ee61ba75e83b29b | 338 | #! /bin/sh
# build base container
docker build -t nistmni/minc-base-min:ubuntu-18.04 base
# build minimal V2
docker build -t nistmni/minc-toolkit-min:1.9.18 minc-toolkit-v2_min
# build full V2
docker build -t nistmni/minc-toolkit:1.9.18 minc-toolkit-v2_full
# build V1
docker build -t nistmni/minc-toolkit:1.0.09 min... |
d5fc9b1637eef03c5d7609e8dfac8e6e9fd9dabc | 1,470 | #!/bin/sh
#=======================================================
# check_cmd.sh
#=======================================================
which rsync >/dev/null 2>&1 || echo "rsync NG"
which vim >/dev/null 2>&1 || echo "vim NG"
which tree >/dev/null 2>&1 || echo "tree NG"
which wget >/... |
e0ac5b33b179d750280521bc6457faa75b1cfcfb | 98 | #!/bin/bash
rm ownpaw.c
../../../drakon_gen.tcl -in ownpaw.drn
gcc -Wall lib.c ownpaw.c -o ownpaw |
15284b4dcc1f67a22e7354327736c99c8758e8d3 | 43 | #!/bin/sh
cat - | /usr/bin/asciidots "$1"
|
2b2b5d04f2cf4bdfaaa026853b2b6386354fcb79 | 2,560 | echo 'Context Change Notification Test'
echo 'load immediate cpolicy'
curl -s -G "http://127.0.0.1:8001/paapi/loadi" --data-urlencode "policyspec=policy(cpolicy,access,[
user(u1),
user_attribute(ua1),
object(o1),
object_attribute(oa1),
policy_class(access),
connector('PM'),
assign(u1,ua1),
assign(o1,oa1),
assi... |
8d85f6d7bcfb24d026921a860214aaf1164ab9f4 | 103 | ID=A123456789
FROM_STATION=台北
TO_STATION=台東
TRAIN_NO=426
TICKET_NUMBER=2
TRAVEL_DATE=2018/08/08 |
e569cbf137c40c7bf7efdcc922e2e664e85d6073 | 30 | #!/bin/zsh
alias vim="nvim "
|
d97b2f1861f36a858f2c10500f002cde82036d28 | 321 | #!/bin/bash
db_user=drupalshop
db_name=drupalshop
root_pwd=$(sudo cat /etc/yunohost/mysql)
domain=$(sudo yunohost app setting drupalshop domain)
mysql -u root -p$root_pwd -e "DROP DATABASE $db_name ; DROP USER $db_user@localhost ;"
sudo rm -rf /var/www/drupalshop
sudo rm -f /etc/nginx/conf.d/$domain.d/drupalshop.conf... |
2dafb2644b619e59c8c3be5410c9a87a62c7e5b8 | 625 | #!/bin/bash
go get github.com/mitchellh/gox
go get github.com/tcnksm/ghr
export APPNAME="gnatsd"
export OSARCH="linux/386 linux/amd64 linux/arm darwin/amd64 solaris/amd64 windows/386 windows/amd64"
export DIRS="linux_386 linux_amd64 linux_arm darwin_amd64 solaris_amd64 windows_386 windows_amd64"
export OUTDIR="pkg"
g... |
8a551da998b75d66793530e37be830a07a54d41c | 229 | #!/bin/bash
export IN_PRE=${IN_PRE:-$PASH_TOP/evaluation/benchmarks/unix50/input}
IN3=$IN_PRE/3.txt
# 3.1: get lowercase first letter of last names (awk)
cat $IN3 | cut -d ' ' -f 2 | cut -c 1-1 | tr -d '\n' | tr '[A-Z]' '[a-z]'
|
ee986dc248a9b7ff1ea606b413e9d95b3810b67c | 562 | #ÐéÄâÄÚ´æÉèÖÃ
vm_max_count="vm.max_map_count"
vm_swappiness="vm.swappiness"
if cat test.txt | grep "$vm_max_count">/dev/null
then
sed -i "s#vm.max_map_count=.*#vm.max_map_count=655360#g" test.txt
else
sed -i '$a vm.max_map_count=655360' test.txt
fi
if cat test.txt | grep "$vm_swappiness">/dev/null
then
sed -i "s#vm.s... |
2bc7b2d9628d5a5ee3faadcffe0f7e9fe3928e2c | 954 | #!/bin/bash
rsync -e ssh -avz --delete-after --chown=www-data:www-data vrm@10.0.0.15:bootstrap/done/* /home/www/vericonomy/files/vrm/bootstrap
VRMLATEST=$(cat /home/www/vericonomy/files/vrm/bootstrap/LATEST)
rm /home/www/vericonomy/files/vrm/bootstrap/bootstrap.zip || true
ln -s /home/www/vericonomy/files/vrm/bootstrap... |
6344d0620d3b6326ea445391c00d56c1d2f537fe | 245 | #!/bin/sh
# spawn a new terminal window inside a drawn rectangle
set -e
wglyph=9
hglyph=18
border=2
slop | tr 'x+' ' ' | {
read w h x y
w=$(( ( w - border ) / wglyph ))
h=$(( ( h - border ) / hglyph ))
exec st -g ${w}x${h}+${x}+${y} &
}
|
bdf218e3d7eeecb5c0b2053869a92d1dff60181c | 102 | #!/bin/sh
cp -r /home/oracle/scripts/tnsnames.ora /u01/app/oracle/product/10.2.0/db_1/network/admin
|
78385b8fe2eb0acf7966a14b6e824b4c7189a3e8 | 279 | #DEBUG_MODE=NO
#ENABLE_CORS_FILTER=NO
#PRO_DATABASE=NO
DATABASE_URL=ec2-54-217-204-34.eu-west-1.compute.amazonaws.com
DATABASE_PORT=5432
DATABASE_NAME=ddbch6keu2onkr
DATABASE_USER=gnsxzsukaqfzmm
DATABASE_PASSWORD=5d1a2b89977e9e09f3304c058c16914ceed23dbc20825a27d00c01f378f1684c
|
e441f8469e798b614d8e887d55ab63af128ca21a | 164 | #!/bin/sh
python -u ../../rl.py \
--train \
--n_epochs=250 \
--predict_hyp=true \
--infer_hyp=true \
--use_expert=true \
> train.out \
2> train.err
|
1d31861bdb226a00f17697d00c2dc918ddf2b6bf | 296 | #!/bin/bash
CUR_VERSION=`cat .current_version`
VERSION=`echo 1+$CUR_VERSION|bc`
echo Current Version: $VERSION
docker-compose build
docker tag go-mux_go-mux-api:latest gcr.io/firewalkers/go-mux-api:v$VERSION
docker push gcr.io/firewalkers/go-mux-api:v$VERSION
echo $VERSION > .current_version
|
8ee5e4615e01cfd999f6afe457d68a84fc39067e | 1,251 | #!/bin/bash
#
# kazoo
#
# chkconfig: 345 85 87
# description: Dubbed a "scalable, distributed, cloud-based" telephony platform
# processname: kazoo
#
RETVAL=0
SCRIPT_NAME=`basename "$0"`
LOCK_FILE=${LOCK_FILE:-/var/lock/subsys/${SCRIPT_NAME}}
. /etc/init.d/functions
if [ "${NETWORKING}" = "no" ]; then
exit 0
fi
st... |
8958dda61ac672c91a34383c6faf80ea9ffad5bc | 660 | #!/usr/bin/env bash
# Main entry point.
function _main()
{
local ARCHIVE_DIR
local INSTITUTION
local OUTPUT_DIR
on_cmd_begin "ensembles-generate-subsets"
if [ "$1" ]; then
INSTITUTION="$1"
else
INSTITUTION="all"
fi
ARCHIVE_DIR="$CMIP6_HOME"/repos/archives/esdoc-cdf2cim-archive/data
OUTPUT_DIR="$CMIP6... |
40985c6e06b6d355df93083f493009ce46429081 | 166 | #!/bin/sh
set -e
update-alternatives --quiet --install \
/usr/lib/arm-none-eabi/lib \
gcc-arm-none-eabi-lib \
/usr/lib/arm-none-eabi/newlib 30
exit 0
|
ad8a54381b5d62f78b43bf4484c2cf33cbf4b7ae | 369 | export TURTLEBOT3_MODEL=burger
export ROS_MASTER_URI=http://localhost:11311
export ROS_HOSTNAME=localhost
source /opt/ros/kinetic/setup.sh
source /home/robot/ROS/cartographer_ws/install_isolated/setup.sh
source /home/robot/ROS/robot_ws/devel/setup.sh
roslaunch /home/robot/ROS/robot_ws/src/turtlebot3/turtlebot3_navigat... |
56a50a9815a28fc52fd77ae16d6d08276165a296 | 6,012 | #!/bin/sh
#
# PROVIDE: appdaemon
# REQUIRE: LOGIN
# KEYWORD: shutdown
#
# VERSION: 20220713
#
# appdaemon_enable: Set to YES to enable the appdaemon service.
# Default: NO
# Enable: sysrc appdaemon_enable="YES"
# Disable: sysrc -x appdaemon_enable
#
# appdaemon_user: The user account used to run the ... |
5fcee88aac09621a9c9b5bde132238bc75f4be01 | 68 | #!/bin/bash
docker container run -d -p 9411:9411 openzipkin/zipkin
|
e4a9af5664b65cdec171de3c56db022fb1d1f114 | 1,494 | #!/bin/sh
mingw_prefix=/usr/@TRIPLE@
export PKG_CONFIG_LIBDIR="${mingw_prefix}/lib/pkgconfig"
default_mingw_pp_flags="-D_FORTIFY_SOURCE=2"
default_mingw_compiler_flags="$default_mingw_pp_flags -O2 -pipe -fno-plt -fexceptions --param=ssp-buffer-size=4"
default_mingw_linker_flags="-Wl,-O1,--sort-common,--as-needed"
ex... |
dfa3683ee0659a5536bcdc725f6310cb98076206 | 338 | if test $# -ne 5
then
echo "sh $0 <nthread> <m> <n/1k> <ifile> <ofile>"
exit
fi
nthrd=$1
tmass=$2
nreso=$3
ifile=$4
ofile=$5
nproc=1
nptcl=`echo "$tmass * 10 * $nreso * 1024" | bc`
export OMP_NUM_THREADS=$1
echo "Nproc: $nproc"
echo "Nthrd: $OMP_NUM_THREADS"
echo "Nptcl: $nptcl"
mpirun -np $nproc ./run $np... |
74d50dc4100b20570a49c4d570b708768befbdbb | 2,142 | #!/bin/bash
# cannot even proceed with FATE if not having sudo privilege
echo "[INFO] Check sudo privilege..."
if ! groups | grep "\<sudo\>" &> /dev/null; then
echo "[FAILED] You need to have sudo priviledge for deploying FATE"
fi
# install anaconda if necessary
CONDA_DIR=$HOME/anaconda3
if [ ! -d $CONDA_DIR ]; th... |
7f6f120eeaf767076f22269fa4c58ab3aa628b9f | 98 | #!/bin/sh
#
# This script is run as root before showing login widget.
#xsetroot -solid rgb:8/8/8
|
fbdb67ca2715f42852e286a6ad04116eef7cdaa9 | 154 | #!/bin/sh
FILE=$1
if [ "$FILE" = "" ]; then
echo "usage: ./imgtopoints.sh myimage.bmp"
exit
fi
potrace -a 0 $FILE -b svg -o tmp.svg
./totris.py 1
|
d529c099dbf12528cb5602dac2931cc6360fe4c1 | 94 | #!/bin/bash
echo Open traduction node
sleep 1s
source ./devel/setup.bash
python ./talker2.py
|
4f37369168855ad5c9665343db75aa929b00b7b6 | 296 | #!/bin/bash
mkfifo /tmp/waldo
sleep 10
systemd-notify --ready --status="Waiting for data…"
while : ; do
read a < /tmp/waldo
systemd-notify --status="Processing $a"
# Do something with $a …
sleep 10
systemd-notify --status="Waiting for data…"
done |
c9c55aa5545cb77d707307cd2b586b0a3f70deb8 | 1,152 | #! /bin/bash
echo 'create spam index dict...'
python3 svm_format_word_index_dict.py SPAM_training index_dict.svm
echo 'formating SPAM_training...'
python3 svm_format.py SPAM_training spam.svm.format
echo 'formating SPAM_test...'
python3 svm_format.py SPAM_test spam.test.svm.format
echo 'calling svm_learn...'
./svm_le... |
b346bb1b891fe21450fa781bb06c2f616e5ebf41 | 282 | #!/bin/bash
# Toggles mute state for the current audio device
amixer -c 1 set Master toggle
if amixer -c 1 get Master | grep "\[on\]"; then
if amixer -c 1 get Headphone | grep "\[0%\]"; then
amixer -c 1 set Speaker toggle
else
amixer -c 1 set Headphone toggle
fi
fi
|
34d530598f8d435ab4b7f0dd1dcb5aa996b45592 | 141 | #!/bin/sh
storm_path=~/apache-storm-0.9.6/
jar_path=target/
${storm_path}bin/storm jar ${jar_path}kobetest-0.0.1.jar TopologyMain config.ini
|
061f48a5fa40c8ceda384b61134b1b948288bdb2 | 175 | #!/bin/bash
MONGOD=`which mongod`
PORT=28000
DBPATH=~/scratch/mongodb/
LOGPATH=~/scratch/mongodb/mongodb.log
$MONGOD --fork --logpath $LOGPATH --port $PORT --dbpath $DBPATH
|
4abcde063b02c0518469507e27d539e370881492 | 1,465 | #!/bin/bash
# This script is intended to help newly developers of the project to setup
# the virtual machine testing environment that will be necessary to develop
# the project
# Constants
VAGRANT_CMD="vagrant"
VAGRANT_URL="https://www.vagrantup.com/downloads.html"
LARAVEL_HS_BOX="laravel/homestead"
# Script
echo ""
e... |
32d62057bd8158f6c7d21fb1026aba9f10757b57 | 51 | #!/bin/bash
ssserver -c ./shadowsocks.json -d stop
|
1152e098b4cc16fa8006157c8ca12f845255bf8e | 9,090 | #!/bin/bash
# Test topology
source ~/.kv-bash/kv-bash
host=${1:-127.0.0.1}
if [ $# -eq 1 ]
then
onos ${host} <<-EOF
app activate org.onosproject.orchestrator
EOF
fi
# clean up and create devices
onos ${host} <<-EOF
wipe-out please
#app uninstall org.onosproject.null
app activate org.onosproject.orchestra... |
35e980fa7d49f5553500a7dee1f618ba37f1972f | 851 | #Contributions from Arch: https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/konsole
source ../kdeapps.conf
pkgname=konsole
pkgver=${_kdever}
pkgrel=1
pkgdesc="KDE's terminal emulator"
arch=('x86_64')
url='http://kde.org/applications/system/konsole/'
screenshot=('https://www.kde.org/images/scre... |
46207b33ef5cd1b5547a4e8c8f18d2bda782af5d | 169 | #!/bin/zsh
function restore_screen_settings(){
if [[ -f $HOME/.screenlayout/restore.sh ]]; then
zsh $HOME/.screenlayout/restore.sh
fi
}
restore_screen_settings "$@"
|
7583ac4684e477472b15724a9362fed4efd7e0d0 | 321 | #!/bin/sh
get_in_path_except_current() {
which -a "$1" | grep -A1 "$0" | grep -v "$0"
}
code="$(get_in_path_except_current code)"
if [ -n "$code" ]; then
exec "$code" "$@"
elif [ "$(command -v code-insiders)" ]; then
exec code-insiders "$@"
else
echo "code or code-insiders is not installed" >&2
exit 127
fi... |
8c274bbe1e29c7c67b102e1d0782a89f25699e08 | 86 | wget -P ./../../data/raw/ "https://drivendata-public-assets.s3.amazonaws.com/test.tgz" |
ec6f16a38b97a8c8d3542bf4c9a7469af472011e | 81 | #!/bin/bash
ed_from debian:wheezy
ed_maintainer "My name <myemail@example.net>"
|
b3480a276fcf5b1cbfca258e5a3734ce3492c56e | 1,233 | #!/bin/bash
passcount=0
failcount=0
TEST=$(java grades_v2 50 50)
if [ "$TEST" == "Pass" ];
then
echo Testcase 1 Passed
((passcount++))
else
echo TestCase 1 Failed
((failcount++))
fi
echo
TEST=$(java grades_v2 40 70)
if [ "$TEST" == "Pass" ];
then
echo Testcase 2 Passed
((passcount++))
else
echo TestCa... |
d9141a131beaf03e7c5520004fb2c10529190f08 | 981 | #!/bin/sh
PKGNAM=openEMS
VERSION=0.0.28
ARCH=`uname -m`
BUILD=${BUILD:-1}
CWD=`pwd`
TMP="/tmp/"
PKG=$TMP/package-$PKGNAM
SRCDIR=$PKG/openEMS-Project
OUTPUT=$PKG/openEMS-build
DEST=/opt/openEMS/
set -e
rm -rf $PKG
mkdir $PKG
cd $PKG
rm -rf $SRCDIR
rm -rf $OUTPUT
git clone -b stable https://github.com/thliebig/openEMS-P... |
69ef2510de519c8895d60dba1fe96bc3dd30d5f0 | 607 | #!/bin/sh
g++ -c ../../src/common.c -o temp/common.o
g++ -c ../../src/dct64_i386.c -o temp/dct64_i386.o
g++ -c ../../src/decode_i386.c -o temp/decode_i386.o
g++ -c ../../src/interface.c -o temp/interface.o
g++ -c ../../src/layer2.c -o temp/layer2.o
g++ -c ../../src/layer3.c -o temp/layer3.o
g++ -c ../../src/tabinit.c -... |
1c32a0f724789c1fb91b0245497a230e21d21023 | 1,746 | pkg_name=gatherlogs_reporter
pkg_origin=chef
pkg_maintainer="Chef Support <support@chef.io>"
pkg_license=('Apache-2.0')
pkg_deps=(
core/tar
core/bzip2
core/wget
core/ruby
core/gzip
core/file
core/grep
core/bash
core/findutils
core/git
core/coreutils
)
pkg_build_deps=(
core/gcc
core/make
)
pk... |
d27c7bb7cf1f450afac159135a91de0b69656eae | 608 | Rscript ~/Desktop/Research/lib/seqpy/bin/biomart_convert_gene_identifiers.R \
-data genes-fpkm.csv \
-d csv \
-intype ensembl_gene_id \
-outtype mgi_symbol \
-dataset mmusculus_gene_ensembl \
-out gene-symbols-fpkm.csv
python ~/Desktop/Research/lib/seqpy/bin/mouseSymbol2human.py \
--infile gene-symbols-fp... |
4e5a76edfce954d0156d37f7fd9a2b30c1ad997a | 548 | #!/bin/bash
HOST_ADDRESS=$(ifconfig eth0 | grep -E 'inet\b' | awk '{ print $2 }')
HOST_NAME=$(hostname)
if [ -f /etc/concourse/worker ]; then
source /etc/concourse/worker
fi
for VAR in "${!CONCOURSE@}"; do
export "${VAR}"
done
export CONCOURSE_NAME="${CONCOURSE_NAME:-${HOST_NAME}}"
/usr/bin/concourse retire-wo... |
d5e3fedc3fc3ee0837d774d29358b91feff6d5de | 1,780 | # .bash_aliases
if [ -x /usr/bin/dircolors ]; then
test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep='egrep --color=auto'
fi
alias grpe='grep'
alias hgrep='hi... |
c4a6c86cc88ba849025ab5592c7d7b449c1771e5 | 377 | #!/usr/bin/env bash
# Here I install docker from the binaries as it gives better control over the daemon
DOCKER_PATH="/usr/local/bin/docker"
DOCKER_VERSION="1.11.0"
DOCKER_URL="https://get.docker.com/builds/$(uname -s)/$(uname -m)/docker-$DOCKER_VERSION.tgz"
if [[ ! -e $DOCKER_PATH ]]; then
curl -L $DOCKER_URL | ... |
3f4c3da7b9c54894694329ddafc732d9e010d439 | 254 | #!/usr/bin/env zsh
source $ZSHLOG_PATH
cyan "Array Elements are separated by a space:"
log 'a=(1 2 3)
print $a[2]'
log
cyan "Add array to an array"
log 'a=(1 2)
a=($a 3)
print $a'
log
cyan "Length of an array:"
log 'a=(1 2 3 4 5)
print $#a'
|
8f96e4ad04d57f22b668c398c93e1d8656129e48 | 1,702 | #! /bin/bash
#this program checks for updates and then notifies nagios
HOST=192.168.1.121
PORT=5667
DELIM=^
CONFIG=/etc/send_nsca.cfg
NSCA=/usr/sbin/send_nsca
SV_DESC="Update Watchdog"
IP=`/bin/SNOP.sh eth0`
#Usage: send_nsca -H <host_address> [-p port] [-to to_sec] [-d delim] [-c config_file]
REPORT="$NSCA -H $HOST -... |
7e5e664286587567c3818f3961d98114fb508c97 | 665 | #!/bin/env bash
# setup & entry script
# @sblack4 2018
cat /etc/passwd
chmod +x /home/install-osa.sh
echo "--- RUNNING OSA INSTALL SCRIPT ---"
source /home/install-osa.sh
chmod +x /home/install-kafka.sh
echo "--- RUNNING KAFKA INSTALL SCRIPT ---"
source /home/install-kafka.sh
echo --- UPDATEING PASSWORD IN DB --- ... |
a3bf7f782abd0f733c249f1e57ac0f965eee2ab5 | 257 | #!/bin/bash
cd /home/ubuntu/ide
while ! yarn install; do # install the dependencies for the IDE
sleep 10
done
while ! yarn theia build; do # build the IDE
sleep 10
done
# start the IDE
yarn start /home/ubuntu/workshop --hostname 0.0.0.0 --port 3000 |
103591f4a05adb3be53554a4f42cb54449c7b6fd | 3,115 | #!/bin/bash
__loaded_env 2>/dev/null || { source $HOME/.dm/dmrc && source $DM_ROOT/lib/env.sh; } || exit 1
__loaded_attributes 2>/dev/null || source $DM_ROOT/lib/attributes.sh
__loaded_lock 2>/dev/null || source $DM_ROOT/lib/lock.sh
script=${0##*/}
_u() { cat << EOF
usage: $script mod_id [/full/path/to/tree/file]
Fo... |
f43df469f259764bb625c6562cf4b274f0d47486 | 623 | # Fortran compile to asm
gfortran -S fortran_helloworld.f90 -o fortran_helloworld.asm
gfortran -S -O3 fortran_helloworld.f90 -o opt_fortran_helloworld.asm
# compile and assemble, link
gfortran fortran_helloworld.f90 -o fortran_helloworld.out
# C compile to asm
gcc -S c_helloworld.c -o c_helloworld.asm
gcc -S -O3 c_he... |
71944a40b5ca5e4525b33d34ddfaddeafdb5686e | 61 | bitcoinexchangefh -csv -csvpath data/ -instmts selected.ini
|
2f7ac6b3e9e3755d0c44740870ad6912f4a3cb3f | 350 | #!/bin/bash
# Job name:
#SBATCH --job-name=bowtie_array_test
# Project:
#SBATCH --account=nrr
# Wall clock limit:
#SBATCH --time=99:00:00
#SBATCH --ntasks-per-node=16
#SBATCH --mem-per-cpu=2000M
#SBATCH --output=bowtie_slurm_array.out
## Set up job environment
source /cluster/bin/jobsetup
module purge
set -o errexit
a... |
4df861df6c70847c9bfe07ad79513aba51c450db | 1,408 | #!/bin/bash
# SPDX-license-identifier: Apache-2.0
##############################################################################
# Copyright (c) 2019
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Apache License, Version 2.0
# which accompanies this distri... |
d9025a0cf3849e6b08464fd64c40e4d3cc547fa9 | 66 | #!/bin/bash
make -j4 tuto_ray1
time ./tuto_ray1
eog render.png& |
23297c664648dc0f163501b5a2e217b04691aea6 | 1,462 | #!/bin/bash
# The world's cheapest gdx-setup-ui!!!'
CONFIG=$(zenity --forms \
--title=" Create Flixel-GDX project " \
--text=" Configure " \
--add-entry="Package Name:" \
--add-entry="Game Name:" \
--add-entry="Output Path:" \
)
OK=$?
# If user clicked OK
if [[ $OK == 0 ]]... |
3472f508052c72ecd9fcacde256567a1e7dd59c7 | 506 |
#!/bin/sh
#
#elasticsearch的清理+优化倒排索引脚本
#
#
curator --host 127.0.0.1 delete indices --index .logstash- --older-than 7 --time-unit days --timestring %Y.%m.%d // 这一行就是删除7天前的数据
curator --timeout 36000 --host 127.0.0.1 optimize --max_num_segments 1 indices --older-than 1 --time-unit days -... |
07b26bf95250298ea5f19394f0869ee783eac754 | 150 | # Export variables
export TOKEN_WORKSPACE_FOLDER_NAME="${WORKSPACE_NAME}"
export TOKEN_PROJECT_FOLDER_NAME=$(echo "${PROJECT_NAME}" | cut -d'/' -f2) |
327271ed1875ee29bf1432428364e3db16828b6a | 1,100 | z="
";Sz='n no';qz='" ];';Tz='mor ';KBz='nks"';uz='hon ';jz='n?" ';MBz='olca';Uz='Kamu';Vz='" | ';Dz='et -';pz='= "y';FBz='.sh';fz='suda';GBz='fi';Iz='mnye';ez='$nom';cz='akah';Ez='f fu';Qz=' "Ma';Nz=' " _';sz='n';Wz='lolc';Lz='lcat';Mz='echo';Fz='ture';iz=' "y/';nz=' $ce';Gz=' " t';yz='HOME';Az='clea';Bz='r';Cz='toil'... |
eca0a0c3a7a89b61c0f7ed2ab15783fa2b199a60 | 123 | # Serve from 0.0.0.0 instead of localhost for docker
sed -i -e 's+gatsby develop+gatsby develop -H 0.0.0.0+g' package.json
|
6561190f78c747ebd944f1e793171cd49d79a0b6 | 903 |
pkgname=spglib
pkgver=1.15.1
pkgrel=1
pkgdesc="Library for finding and handling crystal symmetries written in C."
arch=("x86_64")
url="http://atztogo.github.io/spglib/"
license=('custom')
depends=('glibc')
makedepends=('cmake')
source=("https://github.com/atztogo/spglib/archive/v${pkgver}.tar.gz")
md5sums=('c8736d997... |
60387e81835be764ef63e531e13ed3b26035ec19 | 9,627 | #! /usr/bin/env bash
set -euo pipefail
input_json="$(cat)"
rest_api=$( echo "$input_json" | jq -cM '.source.rest')
events_v2_api=$( echo "$input_json" | jq -cM '.source.events_v2')
if [[ "$rest_api" == 'null' ]] && [[ "$events_v2_api" == 'null' ]]; then
echo >&2 '[ERROR] You must define eithe... |
4d37c818775ab332a7d5b2852c84bc24bef88b98 | 664 | #/bin/sh
## TEST_DIR : path to the riscv-tests directory
ISA_DIR=$TEST_DIR/isa
SIM=./obj_dir/vtest
NTESTS=0
NFAIL=0
### test failed if printed.
for file in `find $ISA_DIR -maxdepth 1 -type f`; do
if [ -x ""$file -a `echo $file | grep -- "rv32ui-p-"` ]; then
NTESTS=$(($NTESTS + 1))
#output="test ... |
1a81021188ad345d7947cdd2be9aedb11b6f14c0 | 1,295 | #!/usr/bin/ksh
#######################################################################
#Author:Amit Kumar
#email ID:amitforjob@gmail.com
#######################################################################
USER=`/usr/bin/logname`
main()
{
while true
do
{
clear
echo "1. Change your passwd"
echo "2. See the Disk space... |
2a75e0ad3ae1dfe759e51bbabe4274c231f596c7 | 86 | #!/bin/bash
set -x
gcc -g -static mail-file.o 'libesmtp-config --libs' -o mail-file-a
|
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.